> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a data refresh task

> The endpoint creates a link data refresh task.



## OpenAPI

````yaml POST /v1/refresh/tasks/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/refresh/tasks/:
    parameters: []
    post:
      tags:
        - Data Refresh
      summary: Create a data refresh task
      description: The endpoint creates a link data refresh task.
      operationId: refresh_task_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefreshTaskCreateRequest'
        description: Link data refresh task
        required: true
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefreshTaskCreateResponse'
        '400':
          description: HTTP 400 Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
        '429':
          description: HTTP 429 Too Many Requests
          headers:
            Retry-After:
              description: Number of seconds to wait before retrying
              schema:
                type: integer
                example: 60
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error429'
components:
  schemas:
    RefreshTaskCreateRequest:
      required:
        - access_token
        - product_type
      type: object
      properties:
        access_token:
          description: Access token for a Link to payroll provider
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
        account:
          description: >-
            Bank account info. Used for [Paycheck Linked
            Loans](#paycheck-linked-loans)
          required:
            - account_number
            - routing_number
            - bank_name
            - account_type
            - deposit_type
          type: object
          properties:
            account_number:
              description: Account number
              type: string
              example: '16002600'
              maxLength: 20
              minLength: 4
            account_type:
              description: |+

                Account type:

                * `checking` - Checking account,
                * `savings` - Savings account

              type: string
              example: checking
              enum:
                - checking
                - savings
            routing_number:
              description: Routing number
              type: string
              example: '123456789'
              maxLength: 12
              minLength: 8
            bank_name:
              description: Bank name
              type: string
              example: TD Bank
            deposit_type:
              description: |+

                Deposit type:

                * `entire` - Entire paycheck,
                * `percent` - Percentage of the paycheck,
                * `amount` - Fixed amount from the paycheck

              type: string
              example: entire
              enum:
                - entire
                - percent
                - amount
            deposit_value:
              description: Deposit value
              type: string
              example: '50.00'
        product_type:
          description: |+

            Indicates the type of product to use:

            * `employment` - Employment verification,
            * `income` - Income and Employment verification,
            * `deposit_switch` - Direct deposit switch,
            * `pll` - Paycheck linked lending,
            * `insurance` - Insurance verification,
            * `transactions` - Financial account aggregation,
            * `assets` - Assets verification,

          type: string
          example: income
          enum:
            - income
            - employment
            - deposit_switch
            - pll
            - insurance
            - transactions
            - assets
      description: Refresh Link data task
    RefreshTaskCreateResponse:
      required:
        - task_id
      type: object
      properties:
        task_id:
          description: Unique ID for the `Link` data refresh task
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
      description: Response for refresh task creation endpoint.
    Error400:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: incorrect_parameters
            message:
              description: ''
              type: string
              example: Incorrect request parameters
            extra:
              description: ''
              type: object
              properties:
                invalid-params:
                  description: ''
                  type: array
                  items:
                    description: ''
                    type: object
                    properties:
                      field:
                        description: ''
                        type: string
                        example: access_token
                      message:
                        description: ''
                        type: string
                        example: This field is required.
                  example:
                    - field: access_token
                      message: This field is required.
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    Error429:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: throttled
            message:
              description: ''
              type: string
              example: Request was throttled.
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````